/*  
Theme Name:Jkreativ Child Theme
Version: 1.0.0
Theme URI: http://themeforest.net
Description: A basic starter child theme for Jkreativ
Author: Jegtheme
Author URI: http://jegtheme.com/
Template: jkreativ-themes
License: GNU General Public License v2
License URI: http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*/


@import url("../jkreativ-themes/style.css");


/* =Theme customization starts here
------------------------------------------------------- */

/* ----------------------------------------------------
|
|	General
|
\------------------------------------------------------ */

table th {
	color: #FFF;
	background-color: #5F5F5F;
}
.clear {
	clear: both;
}

/* ----------------------------------------------------
|
|	Ticker
|
\------------------------------------------------------ */

.ticker,
.mobile-ticker {
	position: absolute;
    bottom: 0;
    width: 100%;
    background-color: #FFF8CA;
    line-height: 1;
    padding: 12px 0;
    text-align: center;
    transform: translateY(100%);
    -webkit-transform: translateY(100%);
    z-index: -1;
}
.ticker-text,
.mobile-ticker-text {
	margin: 0;
}
.mobile-ticker {
	
 }
.mobile-ticker-text {
	font-size: 14px;
}

/* ----------------------------------------------------
|
|	Notice
|
\------------------------------------------------------ */

.notice {
	max-width: 600px;
	text-align: center;
	color: #D09F02;
	background-color: #FFF8CA;
	padding: 8px 16px;
	border: 1px solid;
	border-radius: 1px;
	margin: 12px auto;
}

/* ----------------------------------------------------
|
|	Healcode
|
\------------------------------------------------------ */

.button, 
.hc-button,
.class_offered_link a,
.trainer_teaches_link a,
healcode-widget[data-type="account-link"] a,
healcode-widget[data-type="cart-link"] a {
	background-color: #2a888e;
	color: #fff;
	border-radius: 4px;
	display: inline-block;
}
.button:hover, 
.hc-button:hover,
.class_offered_link a:hover,
.trainer_teaches_link a:hover,
healcode-widget[data-type="account-link"]:hover a,
healcode-widget[data-type="cart-link"]:hover a {
	background-color: #277E83;
	color: #fff;
}
.class_offered_link a,
.trainer_teaches_link a {
	padding: 3px 10px 2px;
	margin: 12px -1px 0;
}

body div.healcode div.hc_footer {
	display: none !important;
}


/* ----------------------------------------------------
|
|	Cookies
|
\------------------------------------------------------ */

a {
	cursor: pointer;
}

body:not(.load-finished) .cookie-control-region,
body:not(.load-finished) .location-set,    body:not(.load-finished) .location-not-set, 
body:not(.load-finished) .location-boston, body:not(.load-finished) .location-not-boston, 
body:not(.load-finished) .location-newton, body:not(.load-finished) .location-not-newton {
	opacity: 0;
    -webkit-animation: fadeIn .5s ease-in 2s forwards;
    -moz-animation:    fadeIn .5s ease-in 2s forwards;
    -animation:        fadeIn .5s ease-in 2s forwards;
}
@-webkit-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}
@-moz-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}
@keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

body:not(.cookie-location) .cookie-control-region,
body:not(.cookie-location) .cookie-control,
body:not(.cookie-location) .changeloc, 
.cookie-location:not(.location-value-not-set) .location-not-set,
.cookie-location.location-value-not-set .location-set,
.cookie-location:not(.location-value-boston) .location-boston,
.cookie-location:not(.location-value-newton) .location-newton,
.cookie-location.location-value-boston .location-not-boston, 
.cookie-location.location-value-newton .location-not-newton {
	display: none;
}

/* Boston */
.boston-color {
	color: #444;
}
.boston-background, 
.button.boston {
	background-color: #444;
}

/* Newton */
.newton-color {
	color: #2a888e;
}
.newton-background,
.button.newton {
	background-color: #2a888e;
}

/* ----------------------------------------------------
|
|	Nav
|
\------------------------------------------------------ */

/* TOP NAV */

.topnavigation .changeloc {
	float: left;
	font-family: "Advent Pro";
	margin-left: 20px;
}
.topnavigation .changeloc > * {
	display: inline-block;
}
.changeloc .button {
	cursor: pointer;
}

.topnavmsg {
	font-size: 15px;
	float: right;
	margin-right: 20px;
	font-style: normal;
}

.topnavigation .changeloc .button,
.topnavmsg healcode-widget[data-type="account-link"] a, 
.topnavmsg healcode-widget[data-type="cart-link"] a {
	padding: 0 10px;
	line-height: 1.9;
}
.topnavigation .changeloc > *,
.topnavmsg healcode-widget[data-type="account-link"] a {
	margin-right: 7px;
}

/* MAIN NAV */

.navcontent a,
.topnavigationwoo .accountdrop li a {
	font-size: 18px;
}
li.current-menu-parent > a, 
li.current-menu-ancestor > a, 
li.current_page_item > a {
    color: #087E8F;
}

@media only screen and (max-width: 1280px) and (min-width: 1025px) {
	.menu-item-28 { display: none; }
}

/* MOBILE NAV */

.responsiveheader .navleft, .responsiveheader .navright {
	padding: 0 18px;
}
.responsiveheader .navleftinner, .responsiveheader .navrightinner {
	left: calc(50% - 9px);
}
.mobile-menu li.current-menu-parent > a, 
.mobile-menu li.current-menu-ancestor > a, 
.mobile-menu li.current_page_item > a {
	color: #DDDDDD;
	border-left-color: #087E8F;
}

/* ----------------------------------------------------
|
|	Call to Action
|
\------------------------------------------------------ */

section[data-id="newsletter"] {
	height: 120px;
}
section[data-id="newsletter"] .call-to-action p, 
section[data-id="newsletter"] .call-to-action h3 {
	margin: 0;
}
section[data-id="newsletter"] .call-to-action {
	margin-top: 45px;
}
section[data-id="newsletter"] .newsletter-form {
	margin-top: 41px;
}

/* ----------------------------------------------------
|
|	Footer
|
\------------------------------------------------------ */

.landing-footer {
	display: none;
}

.pagewrapper .section-footer {
    border-radius: 2px;
    -webkit-box-shadow: 0 2px 3px rgba(0,0,0,0.15),0 0 0 1px rgba(0,0,0,0.05);
    -moz-box-shadow: 0 2px 3px rgba(0,0,0,0.15),0 0 0 1px rgba(0,0,0,0.05);
    box-shadow: 0 2px 3px rgba(0,0,0,0.15),0 0 0 1px rgba(0,0,0,0.05);
}
.pagewrapper .landing-btm-footer {
    background: #fff;
}
.pagewrapper .landing-footer-copyright {
	color: #262626;
}

.pagecenter .section-footer {
	margin-left: -50%;
	display: inline-block;
}
@media only screen and (max-width: 1024px) {
	.pagecenter .section-footer {
		margin-left: 0;
	}
	.pagewrapper .section-footer, .horizontalnav .pagewrapper .section-footer {
		margin-bottom: -20px;
	}
}
@media only screen and (max-width: 480px) {
	.pagewrapper, .horizontalnav .pagewrapper .section-footer {
		margin: 0;
	}
}

.horizontalnav .pagewrapper.nosidebar .section-footer {
	width: 1080px;
}
@media only screen and (max-width: 1280px) {
	.horizontalnav .pagewrapper.nosidebar .section-footer {
		width: 960px;
	}
}
@media only screen and (max-width: 1024px) {
	.horizontalnav .pagewrapper.nosidebar .section-footer {
		width: 100% !important;
	}
}

/* ----------------------------------------------------
|
|	Home
|
\------------------------------------------------------ */

/* CHOOSE YOUR STUDIO */

img.image360 {
	border-radius: 10px;
}

img.studio-thumb {
	border-radius: 5px;
}

.btn.btn-primary {
	color: #ffffff;
	background-color: #525252;
	border-color: #525252;
}
.btn.btn-primary:hover {
	color: #ffffff;
	background-color: #087e8f;
}

.choose-studio-box {
	padding: 12px;
	text-align: center;
	transition: all .2s ease-in-out;
}
.cookie-location.location-value-boston .choose-studio-box.boston, 
.cookie-location.location-value-newton .choose-studio-box.newton {
	background-color: #087e8f;
}
.cookie-location.location-value-boston .choose-studio-box.boston h3,
.cookie-location.location-value-newton .choose-studio-box.newton h3 {
	color: white;
}
.cookie-location.location-value-boston .choose-studio-box.boston p,
.cookie-location.location-value-newton .choose-studio-box.newton p {
	color: #ddd;
}


/* TODAY AND TOMORROWS'S SCHEDULE */
.tnt-schedule h1, 
.tnt-schedule .hc_header_time, 
.tnt-schedule .filters, 
.tnt-schedule .date_links {
	display: none;
}
.tnt-schedule table tr:nth-child(even) {
	background: none;
}
.tnt-schedule table tr:nth-child(odd) {
	background: rgba(255,255,255,.15);
}

/* APPEAL AREA */

.new-member-signup {
	padding: 10px;
	border-style: outset;
}
.new-member-signup healcode-widget[data-type="account-link"] a {
	display: inline-block;
	padding: 12px 24px;
	font-size: 13px;
	font-weight: normal;
	line-height: 1.428571429;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	cursor: pointer;
	border: 1px solid #333;
	color: #333;
	letter-spacing: 1px;
	font-style: normal;
	text-transform: uppercase;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	-o-user-select: none;
	user-select: none;
	background-color: #fff;
	color: #555;
	border-radius: 0;
	margin-bottom: 1em;
}
.new-member-signup healcode-widget[data-type="account-link"] a:hover {
	color: #333333;
	background-color: #ebebeb;
	border-color: #adadad;
}

/* ----------------------------------------------------
|
|	Classes
|
\------------------------------------------------------ */

.class_offered_link {
	margin-bottom: 40px;
}

/* ----------------------------------------------------
|
|	Schedule
|
\------------------------------------------------------ */

/* Tabs */

tr.schedule_header {
	display: table-row !important;
}
li.schedule_header {
	display: block !important;
}
#schedule-tabs h1 {
	color: #444;
}
#schedule-tabs > ul {
	display: table;
	margin: 8px auto 24px;
	text-align: center;
	padding: 0;
}
#schedule-tabs > ul > li {
	display: block;
	float: left;
}
#schedule-tabs > ul > li > a {
	display: block;
	min-width: 72px;
	width: 130px;
	font-size: 18px;
	line-height: 40px;
	height: 40px;
	vertical-align: text-bottom;
	color: white;
	background: #2a888e;
	border: 2px solid #2a888e;
	border-radius: 8px;
}
#schedule-tabs > ul > li > a[href="#schedule-boston"],
#schedule-boston table.schedule a:not(.hc-button) {
	color: #444;
	border-color: #444;
	background-color: transparent;
}
#schedule-tabs > ul > li:hover > a[href="#schedule-boston"], 
#schedule-tabs > ul > li.active > a[href="#schedule-boston"], 
#schedule-boston .week_links > span > a, 
#schedule-boston .signup_now {
	color: white;
	border-color: #444;
	background-color: #444;
}
body.home #schedule-tabs > ul > li > a[href="#schedule-boston"],
body.home #schedule-boston table.schedule a:not(.hc-button) {
	color: white;
	border-color: white;
}
body.home #schedule-tabs > ul > li:hover > a[href="#schedule-boston"], 
body.home #schedule-tabs > ul > li.active > a[href="#schedule-boston"], 
body.home #schedule-boston .signup_now {
	color: #444;
	border-color: white;
	background-color: white;
}
#schedule-tabs > ul > li > a[href="#schedule-newton"],
#schedule-newton table.schedule a:not(.hc-button) {
	color: #2a888e;
	border-color: #2a888e;
	background-color: transparent;
}
#schedule-tabs > ul > li:hover > a[href="#schedule-newton"], 
#schedule-tabs > ul > li.active > a[href="#schedule-newton"], 
#schedule-newton .week_links > span > a, 
#schedule-newton .signup_now {
	color: white;
	border-color: #2a888e;
	background-color: #2a888e;
}
#schedule-tabs > ul > li:first-child {
	margin-right: 12px;
}

/* Regular */

.schedule .healcode-jump-to-date,
.schedule .day_links,
.schedule .filter_days,
.schedule .filter_time_of_day,
.schedule .action_icon {
	display: none;
}
.schedule h1 {
	text-align: center;
}
.schedule #mbo_class,
.schedule #trainer {
	float: left;
	width: 49%;
}
.schedule #mbo_class:hover,
.schedule #trainer:hover {
	cursor: pointer;
}
.schedule #trainer {
	float: right;
}
#hc-ui-datepicker-div .ui-state-highlight, #hc-ui-datepicker-div.ui-widget-content .ui-state-highlight, #hc-ui-datepicker-div .ui-widget-header .ui-state-highlight {
	border: 1px solid #1B5A5E !important;
	background: #2a888e url(http://studiouboston.com/wp-content/themes/studio-u/images/ui-bg_glass_55_fbf9ee_1x400.png) 50% 50% repeat-x !important;
	color: #FFF !important;
}
.schedule .date_links {
	text-align: center;
}
.schedule .week_links {
	color: transparent;
	font-size: 0;
	padding: 0 !important;
}
.schedule .week_links .previous_week,
.schedule .week_links .today,
.schedule .week_links .next_week, {
	width: 33.333%;
	display: block;
	float: left;
	line-height: 0;
}
.schedule .week_links a {
	display: inline-block;
	padding: 6px 0;
	margin: 16px 0;
	color: #fff;
	background-color: #2a888e;
	font-size: 16px;
	line-height: 2;
	width: 33.3%
}
.schedule .week_links a:hover {
	background-color: #277E83;
}
.schedule .previous_week a {
	border-top-left-radius: 18px;
	border-bottom-left-radius: 18px;
}
.schedule .next_week a {
	border-top-right-radius: 18px;
	border-bottom-right-radius: 18px;
}
.schedule table th {
	font-weight: bold;
}
.schedule table tr {
	position: relative;
}
.schedule table td {
	z-index: 2;
	position: relative;
}
.schedule .hc_cart_button { display: block; min-height: 30px; }
/*
.schedule tr.hc_class td:not(.mbo_class):nth-child(2):before {
	content: "FULL";
	z-index: -1;
	position: absolute;
	top: calc(50% - 15px);
	left: calc(50% - 16px);
}
*/
.schedule .signup_now {
	padding: 2px 10px 1px;
	min-width: 48px;
}
@media only screen and (max-width: 600px) {
	.schedule #mbo_class,
	.schedule #trainer {
		float: none;
		width: 100%;
	}
	.schedule #trainer {
		margin-top: 12px;
	}
	.schedule .week_links a {
		font-size: 14px;
	}
	.schedule table {
		font-size: 13px;
	}
}


/* ----------------------------------------------------
|
|	Teachers
|
\------------------------------------------------------ */

/* ARCHIVE OLD */

.teamlist,
.teamlist:first-child,
.teamlist:last-child {
	background: transparent;
	border: 0;
}
.teammeta > strong {
	color: #EDEDED;
}
.teammeta,
.teamword,
.teamsocial {
	margin-left: 130px;
	color: #CACACA;
}

/* SINGLE OLD */

.teacher-header h4 {
	color: #fff;
	font-size: 28px !important;
}
.teachers-quote {
	font-size: 25px;
}

@media only screen and (max-width: 1367px) {
	.teamimage {
		float: left;
	}
}

/* NEW */
.trainer_list .healcode-image-area {
	margin: 0 12px 12px 0;
	float: left;
}
.trainer_list .healcode_image_area img {
	float: left;
	margin: 0 12px 12px 0;
}
.trainer_list .trainer_show {
	margin-bottom: 16px;
	box-sizing: border-box;
}


/* ----------------------------------------------------
|
|	Contact
|
\------------------------------------------------------ */

.mapcontainer {
	margin-right: 590px; /* 550 + 40 */
}
@media only screen and (max-width: 1280px) {
	.mapcontainer {
		margin-right: 490px; /* 450 + 40 */
	}
}
@media only screen and (max-width: 1024px) {
	.mapcontainer {
		margin-right: 0; /* reset */
	}
}

.mapitem .mapbutton {
	color: #262626;
}

/* ----------------------------------------------------
|
|	Mailchimp
|
\------------------------------------------------------ */

#mc4wp-form-1 input#mc4wp_email {
	float: left;
	width: 60%;
	display: inline-block;
}
#mc4wp-form-1 input#mc4wp_signup {
	float: right;
	line-height: 0;
	background-color: #087E8F;
	color: #fff;
	display: inline-block;
	height: 38px;
	width: 35%;
	padding: 0;
}


/* ----------------------------------------------------
|
|	HealCode List View
|
\------------------------------------------------------ */

div.healcode.list_view div.header * {
	font-size: 100%;
}
.schedule.list_view h1 {
	font-size: 130%;
}
.schedule.list_view .week_links a {
	width: auto;
}
div.healcode.list_view a.hc-button {
	padding: .8em 1.2em;
}

.list_view .schedule_list {
	padding: 0;
	margin: 0;
}

/* ----------------------------------------------------
|
|	Other
|
\------------------------------------------------------ */

.twitter-share-block {
	display: none;
}
.landing-navigator.default {
	display: none !important;
}
.horizontalnav .topnavigationwoo > ul:before, .horizontalnav .footsocial > ul:before, .horizontalnav .langwrapper > ul:before {
	content: none;
}